<!DOCTYPE html>
<html>
  <head>

  </head>
  <body>
      <div class="panel panel-default">
          <div class="panel-body">

    <form [formGroup]="f" (ngSubmit)="onSubmit()">
      <div class="form-row">

        <div class="form-group"> 
        <div class="col">
          <input type="number" class="form-control" placeholder="Id Mission" class="form-control" name="id_mission" [(ngModel)]="stationpass.id_mission" formControlName="id_mission">
          <div *ngFor="let validation of validation_messages.id_mission">
            <div class="error-message" *ngIf="f.get('id_mission').hasError(validation.type) &&  (f.get('id_mission').dirty ||  f.get('id_mission').touched)">              
              {{validation.message}} 
            </div>
          </div>
          </div>
          <br>

        </div>


        <div class="form-group"> 
        <div class="col">
          <input type="number" class="form-control" placeholder="Id Station de passage"   class="form-control" [(ngModel)]="stationpass.id_station_pasage" formControlName="id_station_pasage">
          <div *ngFor="let validation of validation_messages.id_station_pasage">
            <div class="error-message" *ngIf="f.get('id_station_pasage').hasError(validation.type) &&  (f.get('id_station_pasage').dirty ||  f.get('id_station_pasage').touched)">              
              {{validation.message}} 
            </div>
          </div>
        </div>
        </div>
      </div>
     <br>
      <div class="form-group"> 
        <div class="col">
          <input type="number" class="form-control" placeholder="Ordre du station"   class="form-control" [(ngModel)]="stationpass.ordre" formControlName="ordre">
          <div *ngFor="let validation of validation_messages.ordre">
            <div class="error-message" *ngIf="f.get('ordre').hasError(validation.type) &&  (f.get('ordre').dirty ||  f.get('ordre').touched)">              
              {{validation.message}} 
            </div>
          </div>
        </div>
        <br>
        </div>

        


      &nbsp;&nbsp;<button type="submit" class="btn btn-success "> Confirmer</button> &nbsp;&nbsp;
      <button type="reset" class="btn btn-warning" > Annuler</button>   
     </form>
     </div>
     </div>

     <div class="display">
     <a routerLink="consulter"> <strong>Liste des stations de passage pour chaque mission  </strong></a>
       </div>
  </body>
</html>
<br>
<div class="content3">
    <router-outlet></router-outlet>
</div>
